---
search:
  tags:
    - Announcements
    - PATCH
seo:
  description: >-
    Edit an announcement. Reference for the PATCH /api/admin/announcements/{id}
    endpoint in the Athena Jeopardy Admin API.
sidebar:
  label: Edit an announcement
  badge: PATCH
title: Edit an announcement
type: openapi-operation
---
`PATCH /api/admin/announcements/{id}`

**Request body** (`application/json`, required)

- `title` (string)
- `bodyHtml` (string)
- `isPinned` (boolean)

Request body example:

```json
{
  "title": "string",
  "bodyHtml": "string",
  "isPinned": true
}
```

**Responses**

- `200` — Success
- `400` — Bad request
- `401` — Unauthorized
- `404` — Not found
- `422` — Validation failed
- `500` — Unhandled server error

Response example, 200:

```json
{
  "id": "string",
  "title": "string",
  "bodyHtml": "string",
  "isPinned": true,
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}
```
